import requests
import sys


def main():
	if len(sys.argv) != 3:
		print('Usage: %s <http server> <file to upload>' % sys.argv[0])
		sys.exit(1)
	f = open(sys.argv[2], 'rb')
	data = f.read()
	r = requests.put(url=sys.argv[1], data=data)
	# HTTP status code 210 means file is malicious
	if r.status_code == 210:
		print("file infected")
	# HTTP status code 200 means file is benign
	elif r.status_code == 200:
		print("file clean")
	# Other HTTP status codes point to error
	# e.g. wrong URL path, wrong file path, invalid license, ...
	else:
		print("error")

	# print additional information
	print("XML response content:")
	print(r.content)

if __name__ == "__main__":
	main()
